Bug 803953 - Some warning message is seen when embedding 10gen-mms-agent-0.1 to app
Some warning message is seen when embedding 10gen-mms-agent-0.1 to app
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
1.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 01:42 EDT by Johnny Liu
Modified: 2012-04-13 14:31 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhc-selinux-0.89.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 14:31:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2012-03-16 01:42:58 EDT
Description of problem:
Some warning message is seen when embedding 10gen-mms-agent-0.1 to app.

The following is from mcollective log message:
D, [2012-03-16T01:38:06.333764 #4844] DEBUG -- : libra.rb:61:in `cartridge_do_action' cartridge_do_action validation = embedded/10gen-mms-agent-0.1 configure 'phptest' 'jialiu' '3cb10c7f29eb4afd90f8c95aae22e4fa'
D, [2012-03-16T01:38:06.783265 #4844] DEBUG -- : libra.rb:102:in `cartridge_do_action' cartridge_do_action (0)
------
sed: warning: failed to set default file creation context to unconfined_u:object_r:libra_var_lib_t:s0:c0,c1000: Permission deniedsed: warning: failed to set default file creation context to unconfined_u:object_r:libra_var_lib_t:s0:c0,c1000: Permission deniedCLIENT_RESULT: 
CLIENT_RESULT: 10gen-mms-agent-0.1 added. 
CLIENT_RESULT: Please configure your mongodb host at https://mms.10gen.com/ to start monitoring performance data.
CLIENT_RESULT: 
CLIENT_RESULT: Monitoring URL: https://mms.10gen.com/
APP_INFO: Monitoring URL: https://mms.10gen.com/

------)

Try to do some git commit, this warning is also printed out.


Version-Release number of selected component (if applicable):
devenv_stage_144

How reproducible:
Always

Steps to Reproduce:
1. Create app
2. Embed mongodb
3. Embed 10gen-mms-agent-0.1
4. Do some git push.
  
Actual results:
Some warning message is seen:
$ echo aa>>README ; git commit -a -mx; git push
[master 8d6f2d5] x
 1 files changed, 1 insertions(+), 0 deletions(-)
<--snip>
remote: Stopping application...
remote: Waiting for stop to finish
remote: Waiting for stop to finish
remote: Done
remote: ~/git/phptest.git ~/git/phptest.git
remote: ~/git/phptest.git
remote: Running .openshift/action_hooks/pre_build
remote: Running .openshift/action_hooks/build
remote: Running .openshift/action_hooks/deploy
remote: Starting application...
remote: MongoDB already running
remote: sed: warning: failed to set default file creation context to unconfined_u:object_r:libra_var_lib_t:s0:c0,c1000: Permission deniedsed: warning: failed to set default file creation context to unconfined_u:object_r:libra_var_lib_t:s0:c0,c1000: Permission deniedDone
remote: Running .openshift/action_hooks/post_deploy
To ssh://3cb10c7f29eb4afd90f8c95aae22e4fa@phptest-jialiu.dev.rhcloud.com/~/git/phptest.git/
   7b1e34e..8d6f2d5  master -> master


Expected results:
No any warning message.

Additional info:
Comment 1 Abhishek Gupta 2012-03-28 18:20:51 EDT
The selinux policies have been modified by Dan Walsh to allow setting the context for the file being modified by the sed command.
Comment 2 Johnny Liu 2012-03-28 22:53:42 EDT
Verified this bug with devenv_1679, and PASS. No warning message is seen now.

Note You need to log in before you can comment on or make changes to this bug.